Vcenter Vm Hardware Ethernet get

Vcenter Vm Hardware Ethernet get

Returns information about a virtual Ethernet adapter.

Request
URI
GET
https://{host}/api/vcenter/vm/{vm}/hardware/ethernet/{nic}
COPY
Path Parameters
string
vm
Required

Virtual machine identifier.

The parameter must be an identifier for the resource type: VirtualMachine.

string
nic
Required

Virtual Ethernet adapter identifier.

The parameter must be an identifier for the resource type: com.vmware.vcenter.vm.hardware.Ethernet.


Authentication
This operation uses the following authentication methods.
Responses
200

Information about the specified virtual Ethernet adapter.

Returns Vcenter Vm Hardware Ethernet Info of type(s) application/json
{
    "label": "string",
    "type": "string",
    "upt_compatibility_enabled": false,
    "upt_v2_compatibility_enabled": false,
    "mac_type": "string",
    "mac_address": "string",
    "pci_slot_number": 0,
    "wake_on_lan_enabled": false,
    "backing": {
        "type": "string",
        "network": "string",
        "network_name": "string",
        "host_device": "string",
        "distributed_switch_uuid": "string",
        "distributed_port": "string",
        "connection_cookie": 0,
        "opaque_network_type": "string",
        "opaque_network_id": "string"
    },
    "state": "string",
    "start_connected": false,
    "allow_guest_control": false
}
string
label
Required

Device label.

string
type
Required

Ethernet adapter emulation type.

For more information see: Vcenter Vm Hardware Ethernet EmulationType.

boolean
upt_compatibility_enabled
Optional

Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter.

This property is optional and it is only relevant when the value of type is Vcenter Vm Hardware Ethernet EmulationType.VMXNE_t3.

boolean
upt_v2_compatibility_enabled
Optional

Flag indicates whether Uniform Pass-through version 2(UPTv2) compatibility is enabled on this network adapter.

This property was added in vSphere API 8.0.0.1.

This property is optional and it is only relevant when the value of type is Vcenter Vm Hardware Ethernet EmulationType.VMXNE_t3.

string
mac_type
Required

MAC address type.

For more information see: Vcenter Vm Hardware Ethernet MacAddressType.

string
mac_address
Optional

MAC address.

May be missing or null if Vcenter Vm Hardware Ethernet Info.mac_type is Vcenter Vm Hardware Ethernet MacAddressType.MANUAL and has not been specified, or if Vcenter Vm Hardware Ethernet Info.mac_type is Vcenter Vm Hardware Ethernet MacAddressType.GENERATED and the virtual machine has never been powered on since the Ethernet adapter was created.

integer As int64 As int64
pci_slot_number
Optional

Address of the virtual Ethernet adapter on the PCI bus. If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added.

May be missing or null if the virtual machine has never been powered on since the adapter was created.

boolean
wake_on_lan_enabled
Required

Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter.

backing
Required

Physical resource backing for the virtual Ethernet adapter.

string
state
Required

Connection status of the virtual device.

For more information see: Vcenter Vm Hardware ConnectionState.

boolean
start_connected
Required

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

boolean
allow_guest_control
Required

Flag indicating whether the guest can connect and disconnect the device.


401

if the user can not be authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if the user doesn't have the required privileges.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


404

if the virtual machine or virtual Ethernet adapter is not found.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

500

Vapi Std Errors Error if the system reports an error while responding to the request.

Vapi Std Errors ResourceInaccessible if the virtual machine's configuration state cannot be accessed.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


503

if the system is unable to communicate with a service to complete the request.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/vm/{vm}/hardware/ethernet/{nic}